"use strict";
(function ($) {
    $.view_list_payment = function (element, options) {
        let defaults = {
            row_payment_template: ""
        };
        let plugin = this;
        plugin.settings = {}
        let $element = $(element);
        plugin.show_list_folder_payment = function () {
            $("#dialog-confirm").dialog("open");
        };
        plugin.init = function () {
            plugin.settings = $.extend({}, defaults, options);
            $element.find('#example').DataTable();
            $element.find('input[type="checkbox"]').iCheck({
                checkboxClass: 'icheckbox_square-red',
                radioClass: 'iradio_square-red',
                increaseArea: '20%'
            });


        }
        plugin.example_function = function () {
        }
        plugin.init();
    }
    $.fn.view_list_payment = function (options) {
        return this.each(function () {
            if (undefined == $(this).data('view_list_payment')) {
                let plugin = new $.view_list_payment(this, options);
                $(this).data('view_list_payment', plugin);
            }
        });
    }
})(jQuery);
